

function GameScreen:InitScreen()
    self:LoadScreen()
    self:init_dlg({"cue_right"}, {"Cue_22"})
    
    self:FadeOut();
    
    self.active = false;
    DelayedExec(0.1, function()
        self.active = true
    end)
end



function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "comics_back_trigger", "graphics/trigger", 0, 0, REAL_WINDOW_WIDTH, REAL_WINDOW_HEIGHT);
	ItemSetOpacity("comics_back_trigger", 0.01)
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "cook_22", "graphics/screens/22_soup/location/cook_22", 811, 75);
	
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_right", "graphics/interface/comics/cue_right", 344, 826);
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_22", "graphics/screens/22_soup/location/Cue_22", 397, 940);
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "skip", "graphics/interface/hud/skip", 1393, 1104);
end